package com.gic.haoban.manage.api.service;

import java.util.List;

import com.gic.haoban.manage.api.dto.ClerkMainStoreRelatedDTO;

public interface ClerkMainStoreRelatedApiService {

	void setMainStore(String staffId, String storeId, String wxEnterpriseId);

	ClerkMainStoreRelatedDTO getWxEnterpriseIdAndStaffId(String wxEnterpriseId, String staffId);
	
	ClerkMainStoreRelatedDTO getWxEnterpriseIdAndStaffId(String wxEnterpriseId, String staffId , List<String> storeIdList);

	/**
	 * 设置刷新好友状态为已刷新
	 *
	 * @param wxEnterpriseId
	 * @param staffId
	 */
	void setFreshFriend(String wxEnterpriseId, String staffId);

}
